//This is the definitions file for the Poop faves Script.
//You can use this as a template to add in support for mods.
// Remember, the more info you give, the more useful this script is.
//The table file for any given mod should be named
//[MOD NAME].table.cs and be placed in the \Config\Poop\Tables 
//directory.
//One way to get a list of inventory numbers in a given mod, go to an inventory 
//station, and while the station is still active, type in the console screen:
//echo(CmdInventory::getVisibleSet(BuyList));
//This will give you a list of numbers in the same order as the items listed
//available to buy.  There may be better ways to do this, and if there is, please
//be sure and let us know :)

//SHIFTER Inventory Table Version 1.0

//-----------------------------------------------------------------------------
//                             Various Menu Variables
//-----------------------------------------------------------------------------

//These variables define what the NewOpts menus will look like.

//Variables to define the types of armors for newopts.  Currently, there is 
//support for 36 types of armor classes.  Please note that these must go in 
//the same order as the actual  Inventory Table.  ( i.e. $PoopINV::MenuArmor1
//MUST refer to the same item that $PoopINV::Armor1 does.)
$PoopINV::MaxArmors = 9;
$PoopINV::MenuArmor1 = "SCOUT";
$PoopINV::MenuArmor2 = "CHEMELEON";
$PoopINV::MenuArmor3 = "ASSASSIN";
$PoopINV::MenuArmor4 = "MERCENARY";
$PoopINV::MenuArmor5 = "GOLIATH";
$PoopINV::MenuArmor6 = "ENGINEER";
$PoopINV::MenuArmor7 = "ARBITOR";
$PoopINV::MenuArmor8 = "DREADNAUGHT";
$PoopINV::MenuArmor9 = "JUGGERNAUGHT";

//Variables to define the special menus.  You shouldnt need to mess with these
$PoopINV::MenuDeployables = "DEPLOYABLES";
$PoopINV::MenuPacks = "PACKS";
$PoopINV::MenuVehicles = "VEHICLES";

//Variables to define the types of packs and deployables for newopts.  Supports
//up to 72 defined packs.  The same rule applies as above.  $PoopINV::MenuNewOptsPack1
//MUST refer to the same item that $PoopINV:NewOpts:Pack1 does.
$PoopINV::MaxPacks = 37;
$PoopINV::MenuNewOptsPack1 = "Energy Pack";
$PoopINV::MenuNewOptsPack2 = "Repair Pack";
$PoopINV::MenuNewOptsPack3 = "Shield Pack";
$PoopINV::MenuNewOptsPack4 = "Sensor Jammer Pack";
$PoopINV::MenuNewOptsPack5 = "Cloaking Device";
$PoopINV::MenuNewOptsPack6 = "StealthShield Pack";
$PoopINV::MenuNewOptsPack7 = "Regeneration Pack";
$PoopINV::MenuNewOptsPack8 = "Teleport Pack";
$PoopINV::MenuNewOptsPack9 = "Flight Pack";
$PoopINV::MenuNewOptsPack10 = "Rocket Launcher Pack";
$PoopINV::MenuNewOptsPack11 = "Command Laptop";
$PoopINV::MenuNewOptsPack12 = "Suicide DetPack";
$PoopINV::MenuNewOptsPack13 = "Containment Pack";
$PoopINV::MenuNewOptsPack14 = "Ammo Pack";
$PoopINV::MenuNewOptsPack15 = "Inventory Station";
$PoopINV::MenuNewOptsPack16 = "Ammo Station";
$PoopINV::MenuNewOptsPack17 = "Command Station";
$PoopINV::MenuNewOptsPack18 = "Motion Sensor";
$PoopINV::MenuNewOptsPack19 = "Pulse Sensor";
$PoopINV::MenuNewOptsPack20 = "Sensor Jammer";
$PoopINV::MenuNewOptsPack21 = "Camera";
$PoopINV::MenuNewOptsPack22 = "Ion Turret";
$PoopINV::MenuNewOptsPack23 = "Laser Turret";
$PoopINV::MenuNewOptsPack24 = "EMP Turret";
$PoopINV::MenuNewOptsPack25 = "Mortar Turret";
$PoopINV::MenuNewOptsPack26 = "Plasma Turret";
$PoopINV::MenuNewOptsPack27 = "Rocket Turret";
$PoopINV::MenuNewOptsPack28 = "Small Force Field";
$PoopINV::MenuNewOptsPack29 = "Large Force Field";
$PoopINV::MenuNewOptsPack30 = "Blast Wall";
$PoopINV::MenuNewOptsPack31 = "Hologram";
$PoopINV::MenuNewOptsPack32 = "Launch Pad";
$PoopINV::MenuNewOptsPack33 = "Healing Plant";
$PoopINV::MenuNewOptsPack34 = "Deployable Platform";
$PoopINV::MenuNewOptsPack35 = "Teleport Pad";
$PoopINV::MenuNewOptsPack36 = "Interceptor Pack";
$PoopINV::MenuNewOptsPack37 = "Stealth HPC Pack";

//Variables to define the types of Weapons for newopts.  Supports up to 36
//different weapons.  Please note that these must go in the same order as the
//actual Inventory Table.  ( i.e. $PoopINV::MenuWeapon1 MUST refer to the same
//item that $PoopINV::Weapon1 does.)
$PoopINV::MaxWeapons = 24;
$PoopINV::MenuWeapon1 = "Blaster";
$PoopINV::MenuWeapon2 = "Equalizer";
$PoopINV::MenuWeapon3 = "Plasma Gun";
$PoopINV::MenuWeapon4 = "Grenade Launcher";
$PoopINV::MenuWeapon5 = "Mortar";
$PoopINV::MenuWeapon6 = "Disc Launcher";
$PoopINV::MenuWeapon7 = "Laser Rifle";
$PoopINV::MenuWeapon8 = "Elf Gun";
$PoopINV::MenuWeapon9 = "HyperBlaster";
$PoopINV::MenuWeapon10 = "Rocket Launcher";
$PoopINV::MenuWeapon11 = "Sniper Rifle";
$PoopINV::MenuWeapon12 = "Boom Stick";
$PoopINV::MenuWeapon13 = "Dart Rifle";
$PoopINV::MenuWeapon14 = "Magnum";
$PoopINV::MenuWeapon15 = "Shockwave Cannon";
$PoopINV::MenuWeapon16 = "Railgun";
$PoopINV::MenuWeapon17 = "Vulcan";
$PoopINV::MenuWeapon18 = "Tactical Nuke";
$PoopINV::MenuWeapon19 = "Flame Thrower";
$PoopINV::MenuWeapon20 = "Ion Rifle";
$PoopINV::MenuWeapon21 = "Volter";
$PoopINV::MenuWeapon22 = "Engineer Repair-Gun";
$PoopINV::MenuWeapon23 = "Grav Gun";
$PoopINV::MenuWeapon24 = "Repair Gun";

//Variables to define the Extra Weapons for newopts.  Most mods do not yet support
//anything other than the targeting laser in this class. However, some do. Please
//note that these must be in the same order as the actual invantory table.
//(i.e. $PoopINV::MenuExtraWeapon1 MUST refer to the same item that
//$PoopINV::ExtraWeapon1 does.
$PoopINV::MaxExtraWeapon = 1;
$PoopINV::MenuExtraWeapon1 = "Targeting Laser";

//-----------------------------------------------------------------------------
//                              SPECIAL FUNCTIONS
//-----------------------------------------------------------------------------

//A few functions in the script require special parameters.
//Fill them in here.

//THROW HEALTH FUNCTION - Just enter the inventory number of the repair pack, 
//or any other pack you feel would be best to drop at an INV.
$PoopINV::RepairPack = "63";

//REPAIR KIT - This is the inventory number of the repair kit or its equivalent.  This will be
//bought automatically every time you enter an Inventory Station.
$PoopINV::RepairKit = "102";

//BUY EXTRA AMMO FUNCTION - Buy the items that are considered extra ammo.
//Up to 10 extra ammo items are supported.
$PoopINV::ExtraAmmo1 = "103";
$PoopINV::ExtraAmmo2 = "104";
$PoopINV::ExtraAmmo3 = "105";
$PoopINV::ExtraAmmo4 = "26";

//-----------------------------------------------------------------------------
//                             Inventory Table
//-----------------------------------------------------------------------------

//These functions define the inventory numbers for each of the menu items in the NewOpts menus.

//ARMORS - Here you will define the inventory numbers for the armor types. Make
//note to remember that these values MUST refer to their counterparts in the 
//menu definitions section. (i.e. $PoopINV::Armor1 should refer to the same
//thing as $PoopINV::MenuArmor1)  Up to 36 armor types are supported.
$PoopINV::Armor1 = "2";
$PoopINV::Armor2 = "3";
$PoopINV::Armor3 = "4";
$PoopINV::Armor4 = "5";
$PoopINV::Armor5 = "6";
$PoopINV::Armor6 = "7";
$PoopINV::Armor7 = "8";
$PoopINV::Armor8 = "9";
$PoopINV::Armor9 = "10";

//PACKS and DEPLOYABLES FOR NEWOPTS - Here you will define the inventory 
//numbers for the pack and deployable types used by the newopts page. Make note
//to remember that these values MUST refer to their counterparts in the menu
//definitions section. (i.e. $PoopINV::NewOptsPack1 should refer to the same
//thing as $PoopINV::NewOptsMenuPack1)  Up to 72 pack types are supported.
$PoopINV::NewOptsPack1 = "62";
$PoopINV::NewOptsPack2 = "63";
$PoopINV::NewOptsPack3 = "64";
$PoopINV::NewOptsPack4 = "65";
$PoopINV::NewOptsPack5 = "66";
$PoopINV::NewOptsPack6 = "67";
$PoopINV::NewOptsPack7 = "68";
$PoopINV::NewOptsPack8 = "69";
$PoopINV::NewOptsPack9 = "70";
$PoopINV::NewOptsPack10 = "72";
$PoopINV::NewOptsPack11 = "76";
$PoopINV::NewOptsPack12 = "77";
$PoopINV::NewOptsPack13 = "78";
$PoopINV::NewOptsPack14 = "80";
$PoopINV::NewOptsPack15 = "59";
$PoopINV::NewOptsPack16 = "60";
$PoopINV::NewOptsPack17 = "61";
$PoopINV::NewOptsPack18 = "79";
$PoopINV::NewOptsPack19 = "81";
$PoopINV::NewOptsPack20 = "82";
$PoopINV::NewOptsPack21 = "83";
$PoopINV::NewOptsPack22 = "84";
$PoopINV::NewOptsPack23 = "85";
$PoopINV::NewOptsPack24 = "87";
$PoopINV::NewOptsPack25 = "88";
$PoopINV::NewOptsPack26 = "89";
$PoopINV::NewOptsPack27 = "90";
$PoopINV::NewOptsPack28 = "91";
$PoopINV::NewOptsPack29 = "92";
$PoopINV::NewOptsPack30 = "93";
$PoopINV::NewOptsPack31 = "94";
$PoopINV::NewOptsPack32 = "95";
$PoopINV::NewOptsPack33 = "97";
$PoopINV::NewOptsPack34 = "98";
$PoopINV::NewOptsPack35 = "99";
$PoopINV::NewOptsPack36 = "100";
$PoopINV::NewOptsPack37 = "101";

//PACKS ONLY - Here you will define the inventory numbers for the pack types.
//Ok, I know...  seems redundant.  But we are using this data to compile a
//separate menu choice in the game ( the packs menu )
$PoopINV::Pack1 = "62";
$PoopINV::Pack2 = "63";
$PoopINV::Pack3 = "64";
$PoopINV::Pack4 = "65";
$PoopINV::Pack5 = "66";
$PoopINV::Pack6 = "67";
$PoopINV::Pack7 = "68";
$PoopINV::Pack8 = "69";
$PoopINV::Pack9 = "70";
$PoopINV::Pack10 = "72";
$PoopINV::Pack11 = "76";
$PoopINV::Pack12 = "77";
$PoopINV::Pack13 = "78";
$PoopINV::Pack14 = "80";

//DEPLOYABLES ONLY - Same reason as stated above.  :o)  
$PoopINV::Deployable1 = "59";
$PoopINV::Deployable2 = "60";
$PoopINV::Deployable3 = "61";
$PoopINV::Deployable4 = "79";
$PoopINV::Deployable5 = "81";
$PoopINV::Deployable6 = "82";
$PoopINV::Deployable7 = "83";
$PoopINV::Deployable8 = "84";
$PoopINV::Deployable9 = "85";
$PoopINV::Deployable10 = "87";
$PoopINV::Deployable11 = "88";
$PoopINV::Deployable12 = "89";
$PoopINV::Deployable13 = "90";
$PoopINV::Deployable14 = "91";
$PoopINV::Deployable15 = "92";
$PoopINV::Deployable16 = "93";
$PoopINV::Deployable17 = "94";
$PoopINV::Deployable18 = "95";
$PoopINV::Deployable19 = "97";
$PoopINV::Deployable20 = "98";
$PoopINV::Deployable21 = "99";
$PoopINV::Deployable22 = "100";
$PoopINV::Deployable23 = "101";

//WEAPONS - Here you will define the inventory numbers for the weapon types.
//Make note to remember that these values MUST refer to their counterparts in the 
//menu definitions section. (i.e. $PoopINV::Weapon1 should refer to the same
//thing as $PoopINV::MenuWeapon1)  Up to 36 weapon types are supported.
$PoopINV::Weapon1 = "19";
$PoopINV::Weapon2 = "21";
$PoopINV::Weapon3 = "23";
$PoopINV::Weapon4 = "25";
$PoopINV::Weapon5 = "27";
$PoopINV::Weapon6 = "29";
$PoopINV::Weapon7 = "30";
$PoopINV::Weapon8 = "31";
$PoopINV::Weapon9 = "33";
$PoopINV::Weapon10 = "35";
$PoopINV::Weapon11 = "37";
$PoopINV::Weapon12 = "39";
$PoopINV::Weapon13 = "41";
$PoopINV::Weapon14 = "43";
$PoopINV::Weapon15 = "44";
$PoopINV::Weapon16 = "46";
$PoopINV::Weapon17 = "48";
$PoopINV::Weapon18 = "50";
$PoopINV::Weapon19 = "51";
$PoopINV::Weapon20 = "52";
$PoopINV::Weapon21 = "53";
$PoopINV::Weapon22 = "55";
$PoopINV::Weapon23 = "56";
$PoopINV::Weapon24 = "32";

//EXTRA WEAPONS - Here you will define the inventory numbers for the extra weapon types.
//types Make note to remember that these values MUST refer to their counterparts in the
//menu definitions section. (i.e. $PoopINV::ExtraWeapon1 should refer to the same
//thing as $PoopINV::MenuExtraWeapon1)  Inifinite extra weapons are allowed.
$PoopINV::ExtraWeapon1 = "54";

//VEHICLES - Here you will define the inventory numbers for the vehicle types.
//Up to 10 vehicle types are supported.
$PoopINV::Vehicle1 = "11";
$PoopINV::Vehicle2 = "12";
$PoopINV::Vehicle3 = "13";
$PoopINV::Vehicle4 = "14";
$PoopINV::Vehicle5 = "15";

//-----------------------------------------------------------------------------
//                    Inventory Number to Name conversion
//-----------------------------------------------------------------------------

//Just follow the pattern here that is set for the base menu.  Its pretty 
//simple. Heres what it means:
//	$PoopINV[Inventory Number] = "Inventory Name";


//Armors

$PoopINV::Name[2] = "Scout";
$PoopINV::Name[3] = "Chemeleon";
$PoopINV::Name[4] = "Assassin";
$PoopINV::Name[5] = "Mercenary";
$PoopINV::Name[6] = "Goliath";
$PoopINV::Name[7] = "Engineer";
$PoopINV::Name[8] = "Arbitor";
$PoopINV::Name[9] = "DreadNaught";
$PoopINV::Name[10] = "Juggernaught";

//Packs

$PoopINV::Name[62] = "Energy Pack";
$PoopINV::Name[63] = "Repair Pack";
$PoopINV::Name[64] = "Shield Pack";
$PoopINV::Name[65] = "Sensor Jammer Pack";
$PoopINV::Name[66] = "Cloaking Device";
$PoopINV::Name[67] = "StealthShield Pack";
$PoopINV::Name[68] = "Regeneration Pack";
$PoopINV::Name[69] = "Teleport Pack";
$PoopINV::Name[70] = "Flight Pack";
$PoopINV::Name[72] = "Rocket Launcher Pack";
$PoopINV::Name[76] = "Command Laptop";
$PoopINV::Name[77] = "Suicide DetPack";
$PoopINV::Name[78] = "Containment Pack";
$PoopINV::Name[80] = "Ammo Pack";
$PoopINV::Name[59] = "Inventory Station";
$PoopINV::Name[60] = "Ammo Station";
$PoopINV::Name[61] = "Command Station";
$PoopINV::Name[79] = "Motion Sensor";
$PoopINV::Name[81] = "Pulse Sensor";
$PoopINV::Name[82] = "Sensor Jammer";
$PoopINV::Name[83] = "Camera";
$PoopINV::Name[84] = "Ion Turret";
$PoopINV::Name[85] = "Laser Turret";
$PoopINV::Name[87] = "EMP Turret";
$PoopINV::Name[88] = "Mortar Turret";
$PoopINV::Name[89] = "Plasma Turret";
$PoopINV::Name[90] = "Rocket Turret";
$PoopINV::Name[91] = "Small Force Field";
$PoopINV::Name[92] = "Large Force Field";
$PoopINV::Name[93] = "Blast Wall";
$PoopINV::Name[94] = "Hologram";
$PoopINV::Name[95] = "Launch Pad";
$PoopINV::Name[97] = "Healing Plant";
$PoopINV::Name[98] = "Deployable Platform";
$PoopINV::Name[99] = "Teleport Pad";
$PoopINV::Name[100] = "Interceptor Pack";
$PoopINV::Name[101] = "Stealth HPC Pack";

//Weapons and Ammo

$PoopINV::Name[19] = "Blaster";
$PoopINV::Name[21] = "Equalizer";
$PoopINV::Name[23] = "Plasma Gun";
$PoopINV::Name[25] = "Grenade Launcher";
$PoopINV::Name[27] = "Mortar";
$PoopINV::Name[29] = "Disc Launcher";
$PoopINV::Name[30] = "Laser Rifle";
$PoopINV::Name[31] = "Elf Gun";
$PoopINV::Name[33] = "HyperBlaster";
$PoopINV::Name[35] = "Rocket Launcher";
$PoopINV::Name[37] = "Sniper Rifle";
$PoopINV::Name[39] = "Boom Stick";
$PoopINV::Name[41] = "Dart Rifle";
$PoopINV::Name[43] = "Magnum";
$PoopINV::Name[44] = "Shockwave Cannon";
$PoopINV::Name[46] = "Railgun";
$PoopINV::Name[48] = "Vulcan";
$PoopINV::Name[50] = "Tactical Nuke";
$PoopINV::Name[51] = "Flame Thrower";
$PoopINV::Name[52] = "Ion Rifle";
$PoopINV::Name[53] = "Volter";
$PoopINV::Name[55] = "Engineer Repair-Gun";
$PoopINV::Name[56] = "Grav Gun";
$PoopINV::Name[32] = "Repair Gun";
$PoopINV::Name[20] = "Bullet";
$PoopINV::Name[22] = "Plasma Bolt";
$PoopINV::Name[24] = "Grenade Ammo";
$PoopINV::Name[26] = "Mortar Ammo";
$PoopINV::Name[28] = "Disc";
$PoopINV::Name[34] = "Rocket Ammo";
$PoopINV::Name[36] = "Sniper Bullet";
$PoopINV::Name[38] = "Boom Shell";
$PoopINV::Name[40] = "Poison Dart";
$PoopINV::Name[42] = "Magnum Bullets";
$PoopINV::Name[45] = "Railgun Bolt";
$PoopINV::Name[47] = "Vulcan Bullet";
$PoopINV::Name[49] = "Nuclear Warhead";
$PoopINV::Name[71] = "Auto Rockets";
$PoopINV::Name[54] = "Targeting Laser";

//Vehicles

$PoopINV::Name[11] = "Scout";
$PoopINV::Name[12] = "Wraith";
$PoopINV::Name[13] = "Interceptor";
$PoopINV::Name[14] = "Bomber LPC";
$PoopINV::Name[15] = "Stealth HPC";

//Misc

$PoopINV::Name[102] = "Repair Kit";
$PoopINV::Name[103] = "Mine";
$PoopINV::Name[104] = "Grenade";
$PoopINV::Name[105] = "Beacon";

//-----------------------------------------------------------------------------
//              Some stuff you don't really need to mess with
//-----------------------------------------------------------------------------

//Variables to insert menu keybinds
$PoopINV::Bind1 = "1";
$PoopINV::Bind2 = "2";
$PoopINV::Bind3 = "3";
$PoopINV::Bind4 = "4";
$PoopINV::Bind5 = "5";
$PoopINV::Bind6 = "6";
$PoopINV::Bind7 = "7";
$PoopINV::Bind8 = "8";
$PoopINV::Bind9 = "9";
$PoopINV::Bind10 = "0";
$PoopINV::Bind11 = "a";
$PoopINV::Bind12 = "b";
$PoopINV::Bind13 = "c";
$PoopINV::Bind14 = "d";
$PoopINV::Bind15 = "e";
$PoopINV::Bind16 = "f";
$PoopINV::Bind17 = "g";
$PoopINV::Bind18 = "h";
$PoopINV::Bind19 = "i";
$PoopINV::Bind20 = "j";
$PoopINV::Bind21 = "k";
$PoopINV::Bind22 = "l";
$PoopINV::Bind23 = "m";
$PoopINV::Bind24 = "n";
$PoopINV::Bind25 = "o";
$PoopINV::Bind26 = "p";
$PoopINV::Bind27 = "q";
$PoopINV::Bind28 = "r";
$PoopINV::Bind29 = "s";
$PoopINV::Bind30 = "t";
$PoopINV::Bind31 = "u";
$PoopINV::Bind32 = "v";
$PoopINV::Bind33 = "w";
$PoopINV::Bind34 = "x";
$PoopINV::Bind35 = "y";
$PoopINV::Bind36 = "z";
$PoopINV::MaxArmors++;
$PoopINV::MaxWeapons++;
$PoopINV::MaxPacks++;
$PoopINV::MaxExtraWeapon++;
